#include <xvt.h>
#include <checks.h>

#define __MAIN__
#include "cg4.h"

const char* const usage = "Errore - uso : %s -{0|1|2|3|4|5}";

int main(int argc,char** argv)
{
  const int n = argc > 1 ? atoi(argv[1]+1) : -1;

  switch (n)
  {
  case 0:
    cg4100(argc,argv); break;
  case 1:
    cg4200(argc,argv); break;
  case 2:
    cg4300(argc,argv); break;
  case 3:
    cg4400(argc,argv); break;
  case 4:
    cg4500(argc,argv); break;
  case 5:
    cg4600(argc,argv); break;
  case 6:
    cg4700(argc,argv); break;    
  case 7:
    cg4800(argc,argv); break;  
  case 8:
    cg4900(argc,argv); break;  
  default:
    error_box(usage, argv[0]);
  }

  return n < 0;
}




